package com.gic.enterprise.qo;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import java.util.Date;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-10-28 15:32
 */
public class DownloadReportQO extends PageQO {
    private static final long serialVersionUID = -5251611329415430980L;
    public interface SelectValidView {

    }


    private Integer enterpriseId;
    private String startTime;
    private String endTime;
    @Min(value = 1, message = "不存在该类型", groups = SelectValidView.class)
    @Max(value = 3, message = "不存在该类型", groups = SelectValidView.class)
    private Integer dataType;
    @Min(value = 0, message = "不存在该状态", groups = SelectValidView.class)
    @Max(value = 5, message = "不存在该状态", groups = SelectValidView.class)
    private Integer downloadReportStatus;

    private String searchValue;

    private Integer auditResult;
    private Date auditExpireTime;
    private Date ltAuditExpireTime;

    private Boolean hasDownloadUrl;

    private String projectCode;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Integer getDownloadReportStatus() {
        return downloadReportStatus;
    }

    public void setDownloadReportStatus(Integer downloadReportStatus) {
        this.downloadReportStatus = downloadReportStatus;
    }

    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public Integer getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(Integer auditResult) {
        this.auditResult = auditResult;
    }

    public Date getAuditExpireTime() {
        return auditExpireTime;
    }

    public void setAuditExpireTime(Date auditExpireTime) {
        this.auditExpireTime = auditExpireTime;
    }

    public Boolean getHasDownloadUrl() {
        return hasDownloadUrl;
    }

    public void setHasDownloadUrl(Boolean hasDownloadUrl) {
        this.hasDownloadUrl = hasDownloadUrl;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public Date getLtAuditExpireTime() {
        return ltAuditExpireTime;
    }

    public void setLtAuditExpireTime(Date ltAuditExpireTime) {
        this.ltAuditExpireTime = ltAuditExpireTime;
    }
}
